<?php
/*
Plugin Name: Jijnasu google analytics
Plugin URI:  http://jijnasu.in/wp-content/uploads/2016/10/jijnasu-google-analytics.zip
Description: Adds google analytics to your wordpress site.
Version:     1
Author:      Jijnasu
Author URI:  http://jijnasu.in/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: wporg
Domain Path: /languages

Jijnasu google analytics is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.

Jijnasu google analytics is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Jijnasu google analytics. If not, see {License URI}.
*/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

function jijnasu_google_analytics_settings_page() {
  //add_options_page( $page_title, $menu_title, $capability, $menu_slug, $function);
  add_options_page('Jijnasu Google Analytics', 'Jijnasu GA', 'manage_options', 'jijnasu-google-analytics', 'jijnasu_google_analytics_options_page');
}
function jijnasu_google_analytics_options_page (){
  ?>
    <div class="wrap">
      <h1>Jijnasu Google Analytics</h1>
      <form method="post" action="options.php">
        <?php
          settings_fields('jijnasu_google_analytics_options');
          do_settings_sections('jijnasu_google_analytics_options');
          submit_button();
        ?>
      </form>
    </div>
<?php
}
if ( is_admin() ){
  add_action('admin_menu', 'jijnasu_google_analytics_settings_page');
  add_action( 'admin_init', 'jijnasu_google_analytics_register_settings' );
}
function jijnasu_google_analytics_register_settings() {
	//register settings
  //add_settings_section( $id, $title, $callback, $page )
  register_setting( 'jijnasu_google_analytics_options', 'jijnasu_google_analytics_ga_code' );
  register_setting( 'jijnasu_google_analytics_options', 'jijnasu_google_analytics_hide_if_logged_in' );
  register_setting( 'jijnasu_google_analytics_options', 'jijnasu_google_analytics_hide_if_amp' );

  add_settings_section(
		'jijnasu_google_analytics_section1',
		'General',
		'jijnasu_google_analytics_section_callback_function',
		'jijnasu_google_analytics_options'
	);

  //add_settings_field( $id, $title, $callback, $page, $section, $args )
  add_settings_field(
		'jijnasu_google_analytics_ga_code',
		'Google analytics tracking code',
		'jijnasu_google_analytics_ga_code_cf',
		'jijnasu_google_analytics_options',
		'jijnasu_google_analytics_section1'
	);
  add_settings_field(
		'jijnasu_google_analytics_hide_if_logged_in',
		'Disable when logged in',
		'jijnasu_google_analytics_hide_if_logged_in_cf',
		'jijnasu_google_analytics_options',
		'jijnasu_google_analytics_section1'
	);
  add_settings_field(
		'jijnasu_google_analytics_hide_if_amp',
		'Disable in Accelerated Mobile Pages',
		'jijnasu_google_analytics_hide_if_amp_cf',
		'jijnasu_google_analytics_options',
		'jijnasu_google_analytics_section1'
	);
}

//add script to footer
add_action( 'wp_footer', 'jijnasu_google_analytics_add_script_footer');

//add script to amp
add_action( 'amp_post_template_footer', 'jijnasu_google_analytics_add_script_footer_amp' );

//wp_footer callback
function jijnasu_google_analytics_add_script_footer() {
  if(is_admin() || (esc_attr( get_option('jijnasu_google_analytics_hide_if_logged_in'))=='1' && is_user_logged_in()) ){
    return;
  }
  jijnasu_google_analytics_add_script_echo();
}

//amp_post_template_footer callback
function jijnasu_google_analytics_add_script_footer_amp() {
  if(is_admin() || (esc_attr( get_option('jijnasu_google_analytics_hide_if_logged_in'))=='1' && is_user_logged_in()) || esc_attr( get_option('jijnasu_google_analytics_hide_if_amp'))=='1' ){
    return;
  }
  jijnasu_google_analytics_add_script_echo();
}

//echo the analytics script
function jijnasu_google_analytics_add_script_echo(){
  ?>
  <script type="text/javascript">

  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', <?php echo "'".esc_attr( get_option('jijnasu_google_analytics_ga_code') )."'"; ?>, 'auto');
  ga('send', 'pageview');

  </script>
  <?php
}
//callbacks

//callback for add_settings_section
function jijnasu_google_analytics_section_callback_function() {
 echo '<p>Jijnasu GA general settings</p>';
}
//for add_settings_field

//for GA code input
  function jijnasu_google_analytics_ga_code_cf() {
    echo '<input name="jijnasu_google_analytics_ga_code" id="jijnasu_google_analytics_ga_code" type="text" value="'.esc_attr( get_option('jijnasu_google_analytics_ga_code') ).'" />';
  }
 //for checkbox
 function jijnasu_google_analytics_hide_if_logged_in_cf() {
 	echo '<input name="jijnasu_google_analytics_hide_if_logged_in" id="jijnasu_google_analytics_hide_if_logged_in" type="checkbox" value="1" class="code" ' . checked( 1, get_option( 'jijnasu_google_analytics_hide_if_logged_in' ), false ) . ' />';
 }
 //add if amp
 function jijnasu_google_analytics_hide_if_amp_cf() {
 	echo '<input name="jijnasu_google_analytics_hide_if_amp" id="jijnasu_google_analytics_hide_if_amp" type="checkbox" value="1" class="code" ' . checked( 1, get_option( 'jijnasu_google_analytics_hide_if_amp' ), false ) . ' />';
 }
